import { Component, Prop, h, Method, Event } from '@stencil/core';
// import * as p1 from '@ryancavanaugh/pkg1';
// import * as p2 from '@ryancavanaugh/pkg2';
export class SingleInput {
  constructor() {
    /**
     * The first name
     */
    this.first = '';
    /**
     * The middle name
     */
    this.middle = '';
    /**
     * The last name
     */
    this.last = '';
    this.isVisible = false;
    this.hideOption = false;
    this.width = '';
    this.modaltitle = '';
  }
  valueChangeHandler(todo) {
    // console.log(todo, 'todo')
    this.valueChange.emit(todo);
  }
  sureCommitHandler() {
    // console.log(todo, 'todo')
    this.sureCommit.emit();
  }
  async callMe(smth) {
    console.log(smth);
  }
  componentDidRender() {
  }
  render() {
    // console.log('BLUB', p1.fn());
    return (h("div", { id: "myModal", class: "modal", style: { display: this.isVisible ? 'flex' : 'none' } },
      h("div", { class: "modal-content", style: { width: this.width } },
        h("div", { class: "modal-title row-between" },
          h("p", null, this.modaltitle),
          h("span", { class: "close", onClick: () => this.valueChangeHandler(false) }, "\u00D7")),
        h("slot", null),
        !this.hideOption && (h("div", { class: "button-option" },
          h("input", { type: "button", onClick: () => this.sureCommitHandler(), value: "\u786E\u5B9A", class: "wjxui-btn" }),
          h("input", { type: "button", onClick: () => this.valueChangeHandler(false), style: { marginLeft: '8px' }, class: "wjxui-btn wjxui-btn-primary", value: "\u53D6\u6D88" }))))));
  }
  static get is() { return "my-modal"; }
  static get encapsulation() { return "scoped"; }
  static get originalStyleUrls() { return {
    "$": ["../my-component/my-component.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["../my-component/my-component.css"]
  }; }
  static get properties() { return {
    "first": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "The first name"
      },
      "attribute": "first",
      "reflect": false,
      "defaultValue": "''"
    },
    "middle": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "The middle name"
      },
      "attribute": "middle",
      "reflect": false,
      "defaultValue": "''"
    },
    "last": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "The last name"
      },
      "attribute": "last",
      "reflect": false,
      "defaultValue": "''"
    },
    "isVisible": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "is-visible",
      "reflect": false,
      "defaultValue": "false"
    },
    "hideOption": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "hide-option",
      "reflect": false,
      "defaultValue": "false"
    },
    "width": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "width",
      "reflect": false,
      "defaultValue": "''"
    },
    "modaltitle": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "modaltitle",
      "reflect": false,
      "defaultValue": "''"
    }
  }; }
  static get events() { return [{
      "method": "valueChange",
      "name": "valueChange",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }, {
      "method": "sureCommit",
      "name": "sureCommit",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }]; }
  static get methods() { return {
    "callMe": {
      "complexType": {
        "signature": "(smth: string) => Promise<void>",
        "parameters": [{
            "tags": [],
            "text": ""
          }],
        "references": {
          "Promise": {
            "location": "global"
          }
        },
        "return": "Promise<void>"
      },
      "docs": {
        "text": "",
        "tags": []
      }
    }
  }; }
}
