import { Component, Prop, h, Method } from '@stencil/core';
// import * as p1 from '@ryancavanaugh/pkg1';
// import * as p2 from '@ryancavanaugh/pkg2';
export class SingleInput {
  constructor() {
    /**
     * The first name
     */
    this.first = '';
    /**
     * The middle name
     */
    this.middle = '';
    /**
     * The last name
     */
    this.last = '';
  }
  async callMe(smth) {
    console.log(smth);
  }
  componentDidRender() {
  }
  render() {
    // console.log('BLUB', p1.fn());
    return (h("div", null,
      h("div", { class: "div_preview" },
        h("div", { class: "div_title_question_all" },
          h("div", { class: "div_topic_question" }, "1."),
          h("div", { class: "div_title_question" },
            h("span", null, "\u6807\u9898"),
            h("span", { class: "req" }, "*"),
            h("span", { class: "font-a0" }),
            h("span", null))))));
  }
  static get is() { return "single-input"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["../my-component/my-component.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["../my-component/my-component.css"]
  }; }
  static get properties() { return {
    "first": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "The first name"
      },
      "attribute": "first",
      "reflect": false,
      "defaultValue": "''"
    },
    "middle": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "The middle name"
      },
      "attribute": "middle",
      "reflect": false,
      "defaultValue": "''"
    },
    "last": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "The last name"
      },
      "attribute": "last",
      "reflect": false,
      "defaultValue": "''"
    }
  }; }
  static get methods() { return {
    "callMe": {
      "complexType": {
        "signature": "(smth: string) => Promise<void>",
        "parameters": [{
            "tags": [],
            "text": ""
          }],
        "references": {
          "Promise": {
            "location": "global"
          }
        },
        "return": "Promise<void>"
      },
      "docs": {
        "text": "",
        "tags": []
      }
    }
  }; }
}
