'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-62d960a9.js');
const appGlobals = require('./app-globals-3a1e7e63.js');

/*
 Stencil Client Patch Esm v2.15.0 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    // NOTE!! This fn cannot use async/await!
    // @ts-ignore
    if (index.BUILD.cssVarShim && !(index.CSS && index.CSS.supports && index.CSS.supports('color', 'var(--c)'))) {
        // @ts-ignore
        return Promise.resolve().then(function () { return require(/* webpackChunkName: "polyfills-css-shim" */ './css-shim-6ca600c2.js'); }).then(() => {
            if ((index.plt.$cssShim$ = index.win.__cssshim)) {
                return index.plt.$cssShim$.i();
            }
            else {
                // for better minification
                return 0;
            }
        });
    }
    return index.promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  appGlobals.globalScripts();
  return index.bootstrapLazy([["my-component.cjs",[[1,"my-component",{"previewVisible":[4,"preview-visible"],"isOnlyComputer":[4,"is-only-computer"],"scaleInfo":[1040],"isPreviewQuestion":[1540,"is-preview-question"],"isOnlyPreview":[4,"is-only-preview"],"scaleName":[32],"scaleDesc":[32],"questionItemList":[32],"resultScore":[32],"isPC":[32],"sortArr":[32],"editScaleItem":[32],"isVisible":[32]}]]],["single-input.cjs",[[1,"single-input",{"first":[1],"middle":[1],"last":[1],"callMe":[64]}]]],["my-modal.cjs",[[6,"my-modal",{"first":[1],"middle":[1],"last":[1],"isVisible":[4,"is-visible"],"hideOption":[4,"hide-option"],"width":[1],"modaltitle":[1],"callMe":[64]}]]]], options);
  });
};

exports.defineCustomElements = defineCustomElements;
